/**
 * @brief The Systems superloop that handles all the tasks.
 * @details This file is the main program's logic that loops endlessly
 * @author Jake G
 * @date 2024-09-01
 * @copyright None
 * @file SUPERLOOP.h
 */

#ifndef SUPERLOOP
#define SUPERLOOP

#include <stdint.h>

/**
 * A function that allows the user to set the number of loop iterations for
 * testing purposes.
 * @param n The number of times it will loop before breaking. (Zero is endless)
 */
void SuperLoop_SetIterations(uint8_t n);

/**
 * The super loop; it runs the main code in a loop endlessly unless the number
 * of iterations are set.
 * @return The number of loops completed in iteration mode.
 */
uint8_t SuperLoop_Run(void);

#endif // SUPERLOOP
